Bug 72501 - Stop logging DHCPREQUEST to /var/log/messages
Stop logging DHCPREQUEST to /var/log/messages
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: dhcp (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-24 13:42 EDT by Christian Lepine
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-24 13:42:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Lepine 2002-08-24 13:42:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Win 9x 4.90; Q312461)

Description of problem:
I want to stop logging all info from DHCPD to /var/log/messages.

I have tried to modify /etc/sysconfig/dhcpd.conf with -d arg but it doesn't 
work.

I have about 200 computer logging DHCP request to my log.

How can I disable logging from DHCPD

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start dhcpd
2.Client request
3.logging to /var/log/messages
	

Actual Results:  logging to /var/log/messages

Expected Results:  stop logging to /var/log/messages

Additional info:
Comment 1 Elliot Lee 2002-08-26 08:42:13 EDT
At least with dhcp 3.0pl1, the -d option to dhcpd runs it in the foreground as well, not 
good...

I would suggest that the right solution is to just use logrotate and logwatch to postprocess 
logs rather than trying to prevent stuff going into the logs. You can also muck around with 
syslog.conf if you want to reduce the general level of detail being logged by syslog.

Note You need to log in before you can comment on or make changes to this bug.